Subject: [Bmcu] Not an LBC tire

From: Mark J Bradakis <[email-masked]>
Date: Wed, 20 Aug 2014 17:06:24 -0600

It fell off a truck, honest! A like new Michelin Destiny all season tire, 225/55/17. By the time I stopped and got it in the car, the truck with the tires turned down a side street. Tried to chase him down, but didn't see the truck or any likely tire or repair shops in the surrounding blocks. Oh well. Retails for about $150, wonder if I can get $50 for it on Craigslist or KSL.
Doesn't fit too many MGs or Triumphs that I know of.  Maybe a new Jaguar, perhaps.

mjb.

_______________________________________________
[email-masked]
Archive: http://www.team.net/archive